Skip to main content
`Ctrl`+`K`

# DMDAGetElementsCorners

Returns the global (i,j,k) indices of the lower left corner of the non-overlapping decomposition of elements identified by `DMDAGetElements()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDAGetElementsCorners(DM da, PeOp PetscInt *gx, PeOp PetscInt *gy, PeOp PetscInt *gz)

Not Collective

## Input Parameter

- da - the `DMDA` object

## Output Parameters

- gx - the i index

- gy - the j index

- gz - the k index

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAElementType`, `DMDASetElementType()`, `DMDAGetElements()`, `DMDAGetCorners()`, `DMDAGetGhostCorners()`, `DMDAGetElementsSizes()`, `DMDAGetElementsCornersIS()`, `DMDARestoreElementsCornersIS()`

## Level

intermediate

## Location

src/dm/impls/da/dagetelem.c

## Examples

src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex43.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages